Snapservice ClusterPairs get

Snapservice ClusterPairs get

Get the detailed information regarding the specified cluster pair.

This operation was added in vSphere API 9.0.0.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires VsanDP.Replication.com.vmware.vsan.snapshotservice.Site.View.
Request
URI
GET
https://{host}/api/snapservice/cluster-pairs/{cp}
COPY
Path Parameters
string
cp
Required

Identifier of the cluster pair.

The parameter must be an identifier for the resource type: com.vmware.snapservice.cluster_pair.


Authentication
This operation uses the following authentication methods.
Responses
200

Information about the specified cluster pair.

Returns Snapservice ClusterPairs Info of type(s) application/json
{
    "local_cluster": {
        "site": "string",
        "vcenter": "string",
        "cluster": "string",
        "cluster_name": "string"
    },
    "peer_cluster": {
        "site": "string",
        "vcenter": "string",
        "cluster": "string",
        "cluster_name": "string"
    },
    "connection_status": "string",
    "connection_state_updated_at": "string",
    "connection_warnings": [
        {
            "messages": [
                {
                    "id": "string",
                    "default_message": "string",
                    "args": [
                        "string"
                    ],
                    "params": {
                        "params": {
                            "s": "string",
                            "dt": "string",
                            "i": 0,
                            "d": "number",
                            "l": {
                                "id": "string",
                                "params": {
                                    "params": "Vapi Std LocalizationParam Object"
                                }
                            },
                            "format": "string",
                            "precision": 0
                        }
                    },
                    "localized": "string"
                }
            ]
        }
    ],
    "connection_errors": [
        {
            "messages": [
                {
                    "id": "string",
                    "default_message": "string",
                    "args": [
                        "string"
                    ],
                    "params": {
                        "params": {
                            "s": "string",
                            "dt": "string",
                            "i": 0,
                            "d": "number",
                            "l": "Vapi Std NestedLocalizableMessage Object",
                            "format": "string",
                            "precision": 0
                        }
                    },
                    "localized": "string"
                }
            ]
        }
    ],
    "in_use": false
}
local_cluster
Required

First member of the cluster pair. Cluster from the local site that is a member of the cluster pair.

This property was added in vSphere API 9.0.0.0.

peer_cluster
Required

Second member of the cluster pair. Peer cluster that is a member of the clutser pair.

This property was added in vSphere API 9.0.0.0.

string
connection_status
Required

Connection status of the cluster pairing.

For more information see: Snapservice ClusterPairs ConnectionStatus.

This property was added in vSphere API 9.0.0.0.

string As date-time As date-time
connection_state_updated_at
Optional

Time at which the cluster pair connection state is checked.

This property was added in vSphere API 9.0.0.0.

is missing or null if there is no check cluster pair connection state

array of object
connection_warnings
Optional

List of localized warnings associated with the cluster pair.

This property was added in vSphere API 9.0.0.0.

This property is optional and it is only relevant when the value of connection_status is one of Snapservice ClusterPairs ConnectionStatus.WARNING or Snapservice ClusterPairs ConnectionStatus.ERROR.

array of object
connection_errors
Optional

List of localized errors associated with the cluster pair.

This property was added in vSphere API 9.0.0.0.

This property is optional and it is only relevant when the value of connection_status is Snapservice ClusterPairs ConnectionStatus.ERROR.

boolean
in_use
Required

Cluster pair is in use for replication.

This property was added in vSphere API 9.0.0.0.


400

Vapi Std Errors InvalidArgument If cp format is not valid.

Vapi Std Errors Unsupported If the API is not supported.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


401

If the caller is not authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

If the caller is not authorized to perform the operation.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


404

If the cp is not found.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

500

If there is unknown internal error.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


503

if the system is unable to communicate with a service to complete the request.

Returns Vapi Std Errors ServiceUnavailable of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/snapservice/cluster-pairs/{cp}